ווטסאפ - לינוקס, BSD, קוד פתוח ותוכנה חופשית בעברית. Whatsup - Linux, BSD, open source and free software in Hebrew

 
 
  כניסת חברים · רישום · שכחתי סיסמה  
tux the penguin
נושא זה נעול . לא ניתן לערוך הודעות או להגיב
צפיה בנושא הבא Printable version התחבר כדי לבדוק הודעות פרטיות צפיה בנושא הקודם
אורח · ·
 

הודעה פורסם: 21/08/2005 - 23:34
נושא ההודעה: האם ניתן לשדרג ל"אחד" מגירסה קודמת של מנדרייק

שלום,
יש לי מנדרייק 10.1 ורציתי לדעת האם אני יכול לשדרג ל"אחד" הנוכחי תוך שמירה על התוכנות המותקנות כבר ועל המידע שעל המחשב.

אני ממש חדש בלינוקס אז אני מבקש תשובות המתחשבות בידיעתי.

תודה רבה לכולם.
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
דוביקסSite Moderator ת.הצטרפות: 20/12/2002 · הודעות: 8350 ·
 

הודעה פורסם: 22/08/2005 - 00:11
נושא ההודעה:

כעיקרון כן.

http://ehad.berlios.de/newsite/shots/upgrade

_________________
גוגל+
 
 צפיה בפרופיל המשתמש שלח הודעה פרטית  
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 22/08/2005 - 00:19
נושא ההודעה:

תודה רבה לך דוביקס.

כתבת במדריך שיש אפשרות לשדרג מהאינטרנט. מאחר שכונן דיסקים שלי דפוק (את לינוקס התקנתי מההרדיסק על פי ההוראות בלינמגזין), אני מעדיף את האפשרות של שדרוג מהאינטרנט.
אם זה לא ילך או קשה מדי אני מניח שאני יכול לחזור על ההתקנה מההרדיסק.

שוב, תודה.
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 22/08/2005 - 00:20
נושא ההודעה:

Anonymous :
תודה רבה לך דוביקס.

כתבת במדריך שיש אפשרות לשדרג מהאינטרנט. מאחר שכונן דיסקים שלי דפוק (את לינוקס התקנתי מההרדיסק על פי ההוראות בלינמגזין), אני מעדיף את האפשרות של שדרוג מהאינטרנט.
אם זה לא ילך או קשה מדי אני מניח שאני יכול לחזור על ההתקנה מההרדיסק.

שוב, תודה.


שכחתי לכתוב שאני מבקש אינפורמציה על אפשרות השדרוג מהאינטרנט.
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
דוביקסSite Moderator ת.הצטרפות: 20/12/2002 · הודעות: 8350 ·
 

הודעה פורסם: 22/08/2005 - 00:31
נושא ההודעה:

אין משמעות לשדרג מהאינטרנט לאחד - אתה צריך לשדרג למנדריבה 2005LE.

קוד:

http://whatsup.org.il/wiki/מנדרייק+-+שדרוג

_________________
גוגל+
 
 צפיה בפרופיל המשתמש שלח הודעה פרטית  
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 22/08/2005 - 00:47
נושא ההודעה:

דוביקס :
אין משמעות לשדרג מהאינטרנט לאחד - אתה צריך לשדרג למנדריבה 2005LE.

קוד:

http://whatsup.org.il/wiki/מנדרייק+-+שדרוג

אוקי תודה. אני אנסה.
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 22/08/2005 - 19:54
נושא ההודעה:

התחלתי ואז הכל נתקע (אני לא בטוח שבגלל ההתקנה, עשיתי עוד דברים ברקע).
בכל מקרה, אחרי שסגרתי כמה דברים, והתחלתי שוב אז זה נתן לי את ההודעה הבאה:
קוד:

Can't locate URPM.pm in @INC (@INC contains: /usr/lib/perl5/5.8.6/i386-linux /usr/lib/perl5/5.8.6 /usr/lib/perl5/site_perl/5.8.6/i386-linux /usr/lib/perl5/site_perl/5.8.6 /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.8.6/i386-linux /usr/lib/perl5/vendor_perl/5.8.6 /usr/lib/perl5/vendor_perl/5.8.5 /usr/lib/perl5/vendor_perl/5.8.4 /usr/lib/perl5/vendor_perl/5.8.3 /usr/lib/perl5/vendor_perl/5.8.1 /usr/lib/perl5/vendor_perl .) at /usr/lib/perl5/vendor_perl/5.8.5/urpm.pm line 16.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/5.8.5/urpm.pm line 16.
Compilation failed in require at /usr/sbin/urpmi line 22.
BEGIN failed--compilation aborted at /usr/sbin/urpmi line 22.


לפי זה נראה לי שמשהו נדפק, האם יש דרך לשחזר, או לעשות מחדש?
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
דוביקסSite Moderator ת.הצטרפות: 20/12/2002 · הודעות: 8350 ·
 

הודעה פורסם: 23/08/2005 - 02:20
נושא ההודעה:

נראה שמשהו בהתקנה של urpmi נכשל (אולי בעיה של תלויות).

אתה יכול לנסות להוריד ידנית את החבילות הדרושות ולהתקין אותן עם RPM.

תוריד מכאן:

http://mirror.hamakor.org.il/pub/mirrors/mandriva/official/10.2/i586/media/main/

את:
perl-URPM-1.11-1mdk.i586.rpm
urpmi-4.6.24-3mdk.noarch.rpm

תתקין עם:

rpm -Uvh package.rpm

שים לב שהפקודה תסיר קודם את החבילה הישנה.

יתכן ותקבל הודעה על תלויות חסרות - במקרה זה תוריד ותתקין גם אותן.

לוג השידרוג שביצעת יושב ב-
קוד:

/var/log/urpmi.log


אם אתה רוצה שאני אעיף עליו מבט כדי להבין מה נכשל בשדרוג, אתה יכול לשלוח לי אותו ל dovix2003 ב yahoo נקודה com.

_________________
גוגל+
 
 צפיה בפרופיל המשתמש שלח הודעה פרטית  
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
MBDלא בפורום כעתSite Moderator ת.הצטרפות: 27/09/2004 · הודעות: 4161 ·
 

הודעה פורסם: 23/08/2005 - 08:39
נושא ההודעה:

זה אולי לא כל-כך קשור, אבל אני שידרגתי בהצלחה מנדרייק 10.1 ל"אחד", דרך דיסק ההתקנה.
 
 צפיה בפרופיל המשתמש שלח הודעה פרטית ביקור באתר המפרסם  
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
דוביקסSite Moderator ת.הצטרפות: 20/12/2002 · הודעות: 8350 ·
 

הודעה פורסם: 23/08/2005 - 18:10
נושא ההודעה:

הבעיה היא לא בגלל שדרוג דרך תקליטור, אלא בגלל שדרוג דרך באינטרנט. שדרוג מסוג זה לפעמים עובד ולפעמים לא.

_________________
גוגל+
 
 צפיה בפרופיל המשתמש שלח הודעה פרטית  
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 23/08/2005 - 18:32
נושא ההודעה:

דוביקס, ניסיתי את מה שאמרת.

הבעיה היא שהוא לא נותן למחוק את החבילות הקודמות:
קוד:
[root@user2 user]# rpm -Uvh perl-URPM-1.11-1mdk.i586.rpm
error: Failed dependencies:
        rpm >= 4.2.3-7mdk is needed by perl-URPM-1.11-1mdk
        packdrake >= 5.0.2 is needed by perl-URPM-1.11-1mdk

[root@user2 user]# rpm -Uvh rpm-4.2.3-9mdk.i586.rpm
error: Failed dependencies:
        popt = 1.8.3-9mdk is needed by rpm-4.2.3-9mdk


[root@user2 user]# rpm -Uvh popt-1.8.3-9mdk.i586.rpm
error: Failed dependencies:
        popt = 1.8.2-15mdk is needed by (installed) rpm-4.2.2-15mdk

האם להתקין את התלויות בנוסף (ולא במקום)?
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
דוביקסSite Moderator ת.הצטרפות: 20/12/2002 · הודעות: 8350 ·
 

הודעה פורסם: 23/08/2005 - 20:36
נושא ההודעה:

לדעתי שווה להתחיל דווקא מ-urpmi, כי ברגע שזו תעבוד אתה אמור להיות מסוגל להריץ שוב urpmi --auto-select --auto.

תעיף מבט גם בלוג של urpmi.log - תבדוק איזה חבילה גרמה לכשל ואולי שווה להתחיל דווקא איתה(ן)

_________________
גוגל+
 
 צפיה בפרופיל המשתמש שלח הודעה פרטית  
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 23/08/2005 - 20:53
נושא ההודעה:

הבעיה היא שהיא תלויה ב- perl-URPM, )בנוסף להתנגשויות הקיימות):

קוד:

rpm -Uvh urpmi-4.6.24-3mdk.noarch.rpm
error: Failed dependencies:
        perl-Locale-gettext >= 1.01-14mdk is needed by urpmi-4.6.24-3mdk
        perl-URPM >= 1.08 is needed by urpmi-4.6.24-3mdk
        packdrake >= 5.0.2 is needed by urpmi-4.6.24-3mdk
        rpmdrake < 2.4-2mdk conflicts with urpmi-4.6.24-3mdk
        curl < 7.13.0 conflicts with urpmi-4.6.24-3mdk

תודה רבה על העזרה.
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
דוביקסSite Moderator ת.הצטרפות: 20/12/2002 · הודעות: 8350 ·
 

הודעה פורסם: 23/08/2005 - 21:06
נושא ההודעה:

Aarghhhh Mad קשים החיים בלי urpmi. מזכיר את גיהנום התלויות של פעם. Crying or Very sad

נראה לי די סיזיפי להתחיל עכשיו לחפש מה בדיוק נשבר בתלויות. אפשר לאלץ את rpm להתקין את החבילות "בכוח", אבל זה מסוכן כי דברים עלולים שלא לעבוד. מצד שני, יותר גרוע מהמצב כרגע לא יכול להיות, אז אולי כדאי לנסות?

כרגע אני רואה 3 אפשרויות:

1. לבצע התקנה מדיסק, עם גרסה חדשה, כמו ההתקנה הקודמת

2. לבדוק בלוג באיזה שלב ההתקנה נשברה, ולנסות להתקין ידנית את החבילות שגרמו לבעיה

3. לנסות לאלץ את התקנת החבילות שציינתי למעלה - אפשר לבצע זאת ע"י העברת פרמטר נוסף לפקודת rpm:

קוד:

rpm -Uvh --nodeps package.rpm


שים לב שלא מובטח שזה יעבוד - למרות שיש סיכוי סביר שכן. אתה צריך בעצם להגיע למצב ש-urpmi עובד, ומשם אפשר להמשיך את השדרוג כרגיל.

_________________
גוגל+
 
 צפיה בפרופיל המשתמש שלח הודעה פרטית  
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 23/08/2005 - 21:09
נושא ההודעה:

ציטוט:
תעיף מבט גם בלוג של urpmi.log - תבדוק איזה חבילה גרמה לכשל ואולי שווה להתחיל דווקא איתה(ן)

אני מביא את השורות האחרונות של הלוג:
קוד:

  5:perl-MDK-Common        ##################################################
כאן באה רשימה של החבלות המורדות ואז:
Mon Aug 22 19:43:10
2005 /var/cache/urpmi/rpms/gtk-engines2-2.6.2-2mdk.i586.rpm
 /var/cache/urpmi/rpms/perl-Gtk2-Html2-0.04-5mdk.i586.rpm
/var/cache/urpmi/rpms/packdrake-5.0.20-1mdk.i586.rpm
/var/cache/urpmi/rpms/perl-Net-DBus-0.0.1-3mdk.i586.rpm
/var/cache/urpmi/rpms/urpmi-4.6.24-3mdk.noarch.rpm
 /var/cache/urpmi/rpms/gtk+2.0-2.6.4-2mdk.i586.rpm
/var/cache/urpmi/rpms/rpmtools-5.0.20-1mdk.i586.rpm
 /var/cache/urpmi/rpms/userdrake-1.2.1-2mdk.i586.rpm
 /var/cache/urpmi/rpms/perl-Glib-1.080-1mdk.i586.rpm
/var/cache/urpmi/rpms/perl-Locale-gettext-1.01-14mdk.i586.rpm
/var/cache/urpmi/rpms/libgdk_pixbuf2.0_0-2.6.4-2mdk.i586.rpm
 /var/cache/urpmi/rpms/libgtk+2.0_0-2.6.4-2mdk.i586.rpm
/var/cache/urpmi/rpms/harddrake-ui-10.2-24.2.102mdk.i586.rpm
 /var/cache/urpmi/rpms/drakxtools-backend-10.2-24.2.102mdk.i586.rpm
/var/cache/urpmi/rpms/drakxtools-newt-10.2-24.2.102mdk.i586.rpm
/var/cache/urpmi/rpms/drakxtools-10.2-24.2.102mdk.i586.rpm
 /var/cache/urpmi/rpms/monitor-edid-1.4-1mdk.i586.rpm
/var/cache/urpmi/rpms/gnome-themes-2.8.2-2mdk.noarch.rpm
/var/cache/urpmi/rpms/perl-URPM-1.11-1mdk.i586.rpm
/var/cache/urpmi/rpms/curl-7.13.1-2mdk.i586.rpm
/var/cache/urpmi/rpms/libpango1.0_0-modules-1.8.1-1mdk.i586.rpm
/var/cache/urpmi/rpms/drakconf-icons-10.2-5mdk.i586.rpm
 /var/cache/urpmi/rpms/perl-Compress-Zlib-1.34-1mdk.i586.rpm
/var/cache/urpmi/rpms/libglib2.0_0-2.6.3-1mdk.i586.rpm
/var/cache/urpmi/rpms/perl-Gtk2-1.080-1mdk.i586.rpm
/var/cache/urpmi/rpms/libpango1.0_0-1.8.1-1mdk.i586.rpm
/var/cache/urpmi/rpms/libgtk+-x11-2.0_0-2.6.4-2mdk.i586.rpm
/var/cache/urpmi/rpms/drakconf-10.2-5mdk.i586.rpm
/var/cache/urpmi/rpms/pango-1.8.1-1mdk.i586.rpm
/var/cache/urpmi/rpms/rpmdrake-2.10-4.2.102mdk.i586.rpm
/var/cache/urpmi/rpms/harddrake-10.2-24.2.102mdk.i586.rpm
 /var/cache/urpmi/rpms/perl-Config-IniFiles-2.38-3mdk.noarch.rpm
כאן נגמר הלוג

שוב, תודה רבה על העזרה.
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 24/08/2005 - 16:13
נושא ההודעה:

דוביקס :


3. לנסות לאלץ את התקנת החבילות שציינתי למעלה - אפשר לבצע זאת ע"י העברת פרמטר נוסף לפקודת rpm:

קוד:

rpm -Uvh --nodeps package.rpm


שים לב שלא מובטח שזה יעבוד - למרות שיש סיכוי סביר שכן. אתה צריך בעצם להגיע למצב ש-urpmi עובד, ומשם אפשר להמשיך את השדרוג כרגיל.


לאור מה שכתוב בלוג, האם לנסות את מה שאמרת?
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 25/08/2005 - 20:12
נושא ההודעה:

בסוף הצלחתי.
הפתרון שלך לאלץ את התקנת החבילות לא הצליח אבל הפתרון האחר שאמרת לי- להתקין את החבילה שבה הוא נתקע עזר. הורדתי אותה ועוד כמה חבילות שעליהם הוא התלונן וזה עבד.

תודה רבה רבה Very Happy
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
דוביקסSite Moderator ת.הצטרפות: 20/12/2002 · הודעות: 8350 ·
 

הודעה פורסם: 25/08/2005 - 20:27
נושא ההודעה:

מזל טוב Smile

עדכנתי את הויקי לגבי הפתרון במקרה שהשדרוג נכשל.

קוד:

http://whatsup.org.il/wiki/מנדרייק+-+שדרוג

_________________
גוגל+
 
 צפיה בפרופיל המשתמש שלח הודעה פרטית  
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 25/08/2005 - 21:20
נושא ההודעה:

ויקי :


* יש לבדוק את הלוג של ההתקנה תחת /var/urpmi.log/ ובמקרה ומופיעות הודעות על חבילות שהתקנתן נכשלה, יש להורידן מהרשת באופן ידני ולהתקינן. במקרה והחבילות גרמו לכך ש-urpmi לא עובד, ניתן להתקין אותן בעזרת הפקודה:

קוד:
rpm -Uvh --nodeps package.rpm




תוסיף בסוף שלאחר התיקון להריץ שוב את:
קוד:
urpmi --auto --auto-select
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
דוביקסSite Moderator ת.הצטרפות: 20/12/2002 · הודעות: 8350 ·
 

הודעה פורסם: 25/08/2005 - 21:25
נושא ההודעה:

תודה Smile

_________________
גוגל+
 
 צפיה בפרופיל המשתמש שלח הודעה פרטית  
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 25/07/2007 - 09:25
9 נושא ההודעה:

Anonymous :
ציטוט:
תעיף מבט גם בלוג של urpmi.log - תבדוק איזה חבילה גרמה לכשל ואולי שווה להתחיל דווקא איתה(ן)

אני מביא את השורות האחרונות של הלוג:
קוד:

  5:perl-MDK-Common        ##################################################
כאן באה רשימה של החבלות המורדות ואז:
Mon Aug 22 19:43:10
2005 /var/cache/urpmi/rpms/gtk-engines2-2.6.2-2mdk.i586.rpm
 /var/cache/urpmi/rpms/perl-Gtk2-Html2-0.04-5mdk.i586.rpm
/var/cache/urpmi/rpms/packdrake-5.0.20-1mdk.i586.rpm
/var/cache/urpmi/rpms/perl-Net-DBus-0.0.1-3mdk.i586.rpm
/var/cache/urpmi/rpms/urpmi-4.6.24-3mdk.noarch.rpm
 /var/cache/urpmi/rpms/gtk+2.0-2.6.4-2mdk.i586.rpm
/var/cache/urpmi/rpms/rpmtools-5.0.20-1mdk.i586.rpm
 /var/cache/urpmi/rpms/userdrake-1.2.1-2mdk.i586.rpm
 /var/cache/urpmi/rpms/perl-Glib-1.080-1mdk.i586.rpm
/var/cache/urpmi/rpms/perl-Locale-gettext-1.01-14mdk.i586.rpm
/var/cache/urpmi/rpms/libgdk_pixbuf2.0_0-2.6.4-2mdk.i586.rpm
 /var/cache/urpmi/rpms/libgtk+2.0_0-2.6.4-2mdk.i586.rpm
/var/cache/urpmi/rpms/harddrake-ui-10.2-24.2.102mdk.i586.rpm
 /var/cache/urpmi/rpms/drakxtools-backend-10.2-24.2.102mdk.i586.rpm
/var/cache/urpmi/rpms/drakxtools-newt-10.2-24.2.102mdk.i586.rpm
/var/cache/urpmi/rpms/drakxtools-10.2-24.2.102mdk.i586.rpm
 /var/cache/urpmi/rpms/monitor-edid-1.4-1mdk.i586.rpm
/var/cache/urpmi/rpms/gnome-themes-2.8.2-2mdk.noarch.rpm
/var/cache/urpmi/rpms/perl-URPM-1.11-1mdk.i586.rpm
/var/cache/urpmi/rpms/curl-7.13.1-2mdk.i586.rpm
/var/cache/urpmi/rpms/libpango1.0_0-modules-1.8.1-1mdk.i586.rpm
/var/cache/urpmi/rpms/drakconf-icons-10.2-5mdk.i586.rpm
 /var/cache/urpmi/rpms/perl-Compress-Zlib-1.34-1mdk.i586.rpm
/var/cache/urpmi/rpms/libglib2.0_0-2.6.3-1mdk.i586.rpm
/var/cache/urpmi/rpms/perl-Gtk2-1.080-1mdk.i586.rpm
/var/cache/urpmi/rpms/libpango1.0_0-1.8.1-1mdk.i586.rpm
/var/cache/urpmi/rpms/libgtk+-x11-2.0_0-2.6.4-2mdk.i586.rpm
/var/cache/urpmi/rpms/drakconf-10.2-5mdk.i586.rpm
/var/cache/urpmi/rpms/pango-1.8.1-1mdk.i586.rpm
/var/cache/urpmi/rpms/rpmdrake-2.10-4.2.102mdk.i586.rpm
/var/cache/urpmi/rpms/harddrake-10.2-24.2.102mdk.i586.rpm
 /var/cache/urpmi/rpms/perl-Config-IniFiles-2.38-3mdk.noarch.rpm
כאן נגמר הלוג

שוב, תודה רבה על העזרה.
Rolling Eyes Razz
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
[color=red]איילון[/color]אורח · ·
 

הודעה פורסם: 25/07/2007 - 09:28
18 נושא ההודעה: [color=orange]אוהבMDK2[/color]

אוהב מאוד במקום לדבר אני ישדים סמלייים.......! Evil or Very Mad Cool Surprised Speak to the hand Very Happy Exclamation Wink Mr. Green Twisted Evil Confused Liar
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
הצגת הודעות מלפני:     
מעבר אל:  
כל הזמנים הם GMT + 2 שעות
נושא זה נעול . לא ניתן לערוך הודעות או להגיב
צפיה בנושא הבא Printable version התחבר כדי לבדוק הודעות פרטיות צפיה בנושא הקודם
PNphpBB2 © 2003-2004 

תוכן הדיון

  1. אורח
  2. דוביקס
  3. אורח
  4. אורח
  5. דוביקס
  6. אורח
  7. אורח
  8. דוביקס
  9. MBD
  10. דוביקס
  11. אורח
  12. דוביקס
  13. אורח
  14. דוביקס
  15. אורח
  16. אורח
  17. אורח
  18. דוביקס
  19. אורח
  20. דוביקס
  21. אורח
  22. אורח [[color=red]איילון[/color]]

Google Ads